=== debian/changelog ===
libcrafter (1.0-0kali2) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Add Uploaders
  * Remove template comment and switch spaces to tabs

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ Arnaud Rebillout ]
  * Misc packaging updates

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 12 Nov 2024 16:54:52 +0700

libcrafter (1.0-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update upstream homepage
  * New upstream version 1.0
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.5.1
  * Update doc installation
  * Update debian/copyright
  * Update build for new release
  * Build with bindnow

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 17 Jun 2021 14:06:43 +0200

libcrafter (0.2-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Thu, 10 Jan 2013 08:36:18 -0700
