=== debian/control ===
Source: libcrafter
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), libpcap0.8-dev
Standards-Version: 4.7.0
Homepage: https://github.com/pellegre/libcrafter
Vcs-Git: https://gitlab.com/kalilinux/packages/libcrafter.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/libcrafter

Package: libcrafter
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library to generate and sniff network packets
 Libcrafter is a high level library for C++ designed to make
 easier the creation and decoding of network packets. It is
 able to craft or decode packets of most common network
 protocols, send them on the wire, capture them and match
 requests and replies. It enables the creation of networking
 tools in a few lines with an interface very similar to
 Scapy. A packet is described as layers that you stack one
 upon the other. Fields of each layer have useful default
 values that you can overload.
