=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?version-(\d[\d.]*)\.tar\.gz%libcrafter-$1.tar.gz%" \
    https://github.com/pellegre/libcrafter/tags \
    (?:.*?/)?version-(\d[\d.]*)\.tar\.gz debian uupdate
